#3684 closed defect (fixed)

rtems_print_buffer is broken

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: lib Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Consider this call:

#include <rtems/dumpbuf.h>
rtems_print_buffer ((const unsigned char *) "\x12\x23\x56\x78", 4);

On psim you get:

1f 2f 5f 7f                                     |.#Vx            |

Change History (4)

comment:1 Changed on Jan 29, 2019 at 3:39:55 AM by Chris Johns

The line in Dump_Line:

rtems_putc(hexlist[0xf]);

should be:

rtems_putc(hexlist[c & 0xf]);

comment:2 Changed on Jan 29, 2019 at 9:10:42 AM by Sebastian Huber

Yes, looks good.

comment:3 Changed on Feb 2, 2019 at 4:21:28 AM by Chris Johns

Owner: set to Chris Johns
Status: newassigned

comment:4 Changed on Feb 8, 2019 at 11:08:03 PM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 2d8a9c79/rtems:

libmisc: Fix rtems_print_buffer

Closes #3684

Note: See TracTickets for help on using tickets.